<?php

namespace App\ViewModels\CreditoCliente\CreditoClienteUpdateViewModel;

use App\Utils\Entity;

class CreditoClienteUpdateViewModel extends Entity {
	protected $id;
	protected $extornoId;
	protected $creditoId;
	protected $clienteId;
	protected $atualizadoPor;
	protected $dataAtualizacao;
	protected $horaAtualizacao;
	protected $valor;
	protected $saldo;
	protected $usado;

	public function builder():CreditoClienteUpdateViewModelBuilder {
		$creditoCliente_builder = new CreditoClienteUpdateViewModelBuilder();
		return $creditoCliente_builder;

	}
	/**
	 * @return mixed
	 */
	public function getId() {

		return $this->id;
	}


	/**
	 * @return mixed
	 */
	public function getExtornoId() {

		return $this->extornoId;
	}


	/**
	 * @return mixed
	 */
	public function getCreditoId() {

		return $this->creditoId;
	}


	/**
	 * @return mixed
	 */
	public function getClienteId() {

		return $this->clienteId;
	}


	/**
	 * @return mixed
	 */
	public function getAtualizadoPor() {

		return $this->atualizadoPor;
	}


	/**
	 * @return mixed
	 */
	public function getDataAtualizacao() {

		return $this->dataAtualizacao;
	}


	/**
	 * @return mixed
	 */
	public function getHoraAtualizacao() {

		return $this->horaAtualizacao;
	}


	/**
	 * @return mixed
	 */
	public function getValor() {

		return $this->valor;
	}


	/**
	 * @return mixed
	 */
	public function getSaldo() {

		return $this->saldo;
	}


	/**
	 * @return mixed
	 */
	public function getUsado() {

		return $this->usado;
	}


	/**
	 * @param mixed $id
	 */
	public function setId($id) {

		$this->id = $id;
	}


	/**
	 * @param mixed $extornoId
	 */
	public function setExtornoId($extornoId) {

		$this->extornoId = $extornoId;
	}


	/**
	 * @param mixed $creditoId
	 */
	public function setCreditoId($creditoId) {

		$this->creditoId = $creditoId;
	}


	/**
	 * @param mixed $clienteId
	 */
	public function setClienteId($clienteId) {

		$this->clienteId = $clienteId;
	}


	/**
	 * @param mixed $atualizadoPor
	 */
	public function setAtualizadoPor($atualizadoPor) {

		$this->atualizadoPor = $atualizadoPor;
	}


	/**
	 * @param mixed $dataAtualizacao
	 */
	public function setDataAtualizacao($dataAtualizacao) {

		$this->dataAtualizacao = $dataAtualizacao;
	}


	/**
	 * @param mixed $horaAtualizacao
	 */
	public function setHoraAtualizacao($horaAtualizacao) {

		$this->horaAtualizacao = $horaAtualizacao;
	}


	/**
	 * @param mixed $valor
	 */
	public function setValor($valor) {

		$this->valor = $valor;
	}


	/**
	 * @param mixed $saldo
	 */
	public function setSaldo($saldo) {

		$this->saldo = $saldo;
	}


	/**
	 * @param mixed $usado
	 */
	public function setUsado($usado) {

		$this->usado = $usado;
	}



}

